Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Export Item Prices

Idempotency Supported

This API triggers export of item price data. The exported zip file contains CSV files with item price-related data.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/exports/item_prices

Input Parameters

item_family_id
optional, string

optional, string filter

Filter item prices based on item_family_id . Supported operators : is, is_not, starts_with, in, not_in

Example → item_family_id[is] = "Acme"

item_type
optional, enumerated string

optional, enumerated string filter

Filter item prices based on item_type. Possible values are : plan, addon, charge.

Supported operators : is, is_not, in, not_in

Example → item_type[is_not] = "plan"

currency_code
optional, string

optional, string filter

Filter item prices based on their currency_code . Supported operators : is, is_not, starts_with, in, not_in

Example → currency_code[is] = "USD"

business_entity_id
optional, enumerated string

optional, string filter

The unique ID of the business entity of this item_price. Learn more about all the scenarios before using this filter.

Supported operators : is, is_present

Example → business_entity_id[is_present] = "true"

include_site_level_resources
optional, enumerated string

optional, boolean filter

Default value is true . To exclude site-level resources in specific cases, set this parameter to false. Possible values are : true, false

Supported operators : is

Example → include_site_level_resources[is] = "null"

item_price
Parameters for item_price
pass parameters as item_price[<param name>]

Returns

Export object
Resource object representing export